LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices


Reply
  Search this Thread
Old 04-15-2005, 07:04 PM   #1
degraffenried13
Member
 
Registered: Sep 2003
Posts: 228

Rep: Reputation: 30
mplayer gtk and glib problems


I have now installed and uninstalled all combinations of the following files:
gtk-devel-1.2.10-552.i586.rpm
glib-devel-1.2.10-488.i586.rpm
gtk-devel-1.2.10-578.i586.rpm
glib-devel-1.2.10-529.i586.rpm
gtk-devel-1.2.10-788.i586.rpm
glib-devel-1.2.10-535.i586.rpm
glib-devel-1.2.10-589.i586.rpm

and I continue to either get the error:

Checking for XShape extension ... yes
Checking for GTK version ... 1.2.10 (using gtk-config)
Checking for glib version ...
Error: The GUI requires GLib devel packages (which were not found)

Check "configure.log" if you do not understand why it failed.

or I get the same error with gtk with other combinations. i can't figure out which it likes.

any suggestions?
 
Old 04-15-2005, 10:12 PM   #2
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 75
Install using yum or apt. You can get apt for Redhat 9 from freshrpms. You won't get any latest packages since Redhat 9 is a discontinued product, but you will get working multimedia packages.
 
Old 04-15-2005, 10:48 PM   #3
degraffenried13
Member
 
Registered: Sep 2003
Posts: 228

Original Poster
Rep: Reputation: 30
My bad, forgot to change my signature. I am now running suse,a nd I tried to install it using yast, but when I typed in glib-devel or gtk-devel I didn't get anything or just typing glib and gtk doesn't give me the devel files and I already have the gtk and glib rpm's installed.

Thanks fo ryour continued help.
 
Old 04-15-2005, 11:12 PM   #4
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 75
I have not used Suse for a while. Try browsing in their ftp mirrors for the devel packages, I am sure YAST is supposed to show them in the software module.
 
Old 04-16-2005, 11:10 AM   #5
degraffenried13
Member
 
Registered: Sep 2003
Posts: 228

Original Poster
Rep: Reputation: 30
Here is the twist to my question. I started doing some searching and found that my /usr/share/doc/packages folder contained the gtk-devel folder, but not the glib-devel folder. I am wondering if mplayer is looking in here for an indication of the existence and version of glib-devel. I don't know why the install from the rpm doesn't create this for glib-devel no matter what version is installed. Maybe I could trick it, but it appears that the syntax is fairly specific for the files that are within. Any thoughts?
 
Old 04-16-2005, 11:36 AM   #6
degraffenried13
Member
 
Registered: Sep 2003
Posts: 228

Original Poster
Rep: Reputation: 30
Well, I did some searching for that particular file and placement of the file and was able to find the rpm that would install them, but it seems that all rpm's should create this directory???
 
Old 04-16-2005, 06:31 PM   #7
degraffenried13
Member
 
Registered: Sep 2003
Posts: 228

Original Poster
Rep: Reputation: 30
Okay, I am back. My rig didn't work becuase I started getting errors when running mplayer make. I am starting to get frustrated with this. It seems that the rpm's to install gtk-devel and glib-devel should create whatever is needed by mplayer or that the rpm's for the gtk and glib devels should install a folder in the /usr/share/doc/packages folder.

Anyway, I am at a los as to how to proceed. I don't know what to try anymore. Any thoughts would be helpful even just a walkthrough of how to install mplayer on suse.. Maybe my steps are not in good order.
 
Old 04-17-2005, 03:36 AM   #8
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 75
Try using xine. There are some good pakages at xines nightly builds page. You will need to install libdvdcss and the win32 codecs (I prefer using the ones from the mplayer site). Instead of using xine ui, I only install xine libs and then use kaffeine or totem as the frontend to xine.
 
Old 04-17-2005, 04:32 PM   #9
degraffenried13
Member
 
Registered: Sep 2003
Posts: 228

Original Poster
Rep: Reputation: 30
Thanks, I am using xine and kaffeine and they are great. The one thing is there are times when kaffeine doesn't play the particular link. It seems to be with windows files,b ut I am not sure. I have installed the w32codecs from w32codec-0.52-1.i386.rpm so I would have hoped that it would handle all, but I want to listen to xm radio online. The only site I could find said that I needed to get mplayer to play the windows files that xm sends over.

Does anyone know about this?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
GNOME problems: glib and gtk deps CPUFreak91 Slackware 11 11-17-2005 11:16 PM
can't install gtk 2.4.4: "Requested 'glib-2.0 >= 2.4.0' but version of GLib is 2.2.3 webazoid Linux - Software 0 07-15-2004 07:07 PM
XChat / GTK+2.0 / GLib problems :( goosh Linux - Software 3 07-31-2003 05:21 PM
ATK for GTK+ installation problems with GLIB Greg21 Linux - Software 5 04-21-2003 08:00 PM
Problems installing glib and gtk+ 1.2.10... khermans Linux - Software 4 10-02-2002 10:47 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - General

All times are GMT -5. The time now is 10:25 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration